Summary: OLPC XO keyboard support daemon
Name: olpc-kbdshim
Version: 15
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://dev.laptop.org/git/users/pgf/olpc-kbdshim/tree/README
# Source0: the source tarball is created by "make tarball" from within
# a clone of this git tree: git://dev.laptop.org/users/pgf/olpc-kbdshim
Source0: olpc-kbdshim-15-git4c22d59.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: kernel-headers, pkgconfig, glib2-devel
BuildRequires: dbus-glib-devel, hal-devel
ExclusiveArch: %{ix86}

Requires: hal
Requires: olpc-utils >= 1.0.26

%description
The olpc-kbdshim-hal daemon integrates with hal to monitor the keyboard and
touchpad, enabling the XO "grab" keys and touchpad rotation (to match
screen rotation), and reporting user (in)activity.  It can also bind the XO
screen rotate, brightness, and volume keys to appropriate commands (which are
provided).

%prep
%setup -q

%build
export OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/hal/scripts
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hal/fdi/policy/20thirdparty
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

%{__install} -p -m 755 olpc-kbdshim-hal $RPM_BUILD_ROOT/%{_libdir}/hal/scripts/olpc-kbdshim-hal
%{__install} -p -m 644 20-olpc-kbdshim.fdi $RPM_BUILD_ROOT/%{_datadir}/hal/fdi/policy/20thirdparty/20-olpc-kbdshim.fdi
%{__install} -p -m 755 olpc-rotate $RPM_BUILD_ROOT/%{_bindir}/olpc-rotate
%{__install} -p -m 755 olpc-brightness $RPM_BUILD_ROOT/%{_bindir}/olpc-brightness
%{__install} -p -m 755 olpc-volume $RPM_BUILD_ROOT/%{_bindir}/olpc-volume


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

%{_libdir}/hal/scripts/olpc-kbdshim-hal
%{_datadir}/hal/fdi/policy/20thirdparty/20-olpc-kbdshim.fdi
%{_bindir}/olpc-rotate
%{_bindir}/olpc-brightness
%{_bindir}/olpc-volume

%post
echo A system restart may be necessary for
echo proper initialization of olpc-kbdshim-hal.

%changelog
* Mon Oct 11 2010 Paul Fox <pgf@laptop.org>
- 15-1
- fix rotation of d-pad
- honor flag file that indicates xrandr goes backwards
- ignore repeated rotate keys

* Tue Jul 27 2010 Paul Fox <pgf@laptop.org>
- 14-1
- depend on recent olpc-utils, so we have proper f-keys to work with

* Thu Jul 15 2010 Paul Fox <pgf@laptop.org>
- 13-1
- bind brightness/volume to KEY_BRIGHTNESSUP/DOWN and KEY_VOLUMEUP/DOWN
- add ability to disable these bindings, as well as the older F9-F12 bindings

* Fri Mar 12 2010 Paul Fox <pgf@laptop.org>
- 12-1
- reduce periodic logging
- bring olpc-kbdshim more in sync with olpc-kbdshim-hal (source changes only)
- experimental code for using dbad as a pointing device

* Wed Jan 20 2010 Paul Fox <pg@laptop.org>
- 11-1
- don't pass through command keystrokes when we have a command
  configured, even if that command fails.

* Tue Dec 29 2009 Paul Fox <pg@laptop.org>
- 10-1
- tell uinput not to autorepeat (thanks to daniel drake, d.l.o ticket #9690)

* Tue Dec  1 2009 Paul Fox <pg@laptop.org>
- 9-1
- add support for binding of local volume keys
- added olpc-volume script

* Tue Dec  1 2009 Paul Fox <pg@laptop.org>
- 9-1
- add support for binding of local volume keys
- added olpc-volume script

* Fri Oct 23 2009 Milos Jakubicek <xjakub@fi.muni.cz>
- 7.2
- Fix FTBFS: use %%{ix86} instead of i586 as ExclusiveArch

* Thu Jul 30 2009 Paul Fox <pg@laptop.org>
- 8-1
- add timestamps to events, to reduce racing during suspend/resume

* Tue Jul 27 2009 Paul Fox <pg@laptop.org>
- 7-1
- fix touchpad rotation for F-11, which includes X11 amd/geode
  driver that fixes the earlier rotation direction issue. 
  (2.11.x and later are fixed.)
- revise Makefile for easier pre-release management

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Paul Fox <pg@laptop.org>
- 6-4
- 6-3
- spec tweaks

* Sat Jun 6 2009 Paul Fox <pg@laptop.org>
- 6-2
- final acceptance review changes
- olpc-brightness added

* Mon May 4 2009 Paul Fox <pg@laptop.org>
- 6-1
- add local binding of rotate and brightness keys to
  eliminate sugar patching
- revise README

* Sat May 2 2009 Paul Fox <pg@laptop.org>
- 5-1
- we now "grab" the arrow keys so they cause scrolling too
- initial fedora review comments incorporated in spec file.

* Sun Apr 12 2009 Paul Fox <pgf@laptop.org>
- 4-1
- version numbering resync

* Sat Apr 11 2009 Paul Fox <pgf@laptop.org>
- 3-3
- fix sugar patch

* Tue Apr 7 2009 Paul Fox <pgf@laptop.org>
- 3-2
- convert to HAL-based operation

* Fri Mar 13 2009 Paul Fox <pgf@laptop.org>
- 2-2
- add comments to the post handler, fix rpmlint errors, rename
  LICENSING to COPYING

